petsc-3.13.6 2020-09-29
Report Typos and Errors

# PetscFEGeomGetChunk

Get a chunk of cells in the group as a PetscFEGeom

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGeomGetChunk(PetscFEGeom *geom, PetscInt cStart, PetscInt cEnd, PetscFEGeom **chunkGeom)

### Input Parameters

| geom | - PetscFEGeom object
| cStart | - The first cell in the chunk
| cEnd | - The first cell not in the chunk

### Output Parameter

chunkGeom -The chunk of cells

### See Also

PetscFEGeomRestoreChunk(), PetscFEGeomCreate()

### Level

intermediate

### Location

src/dm/dt/fe/interface/fegeom.c
Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages